import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import {
  CssBaseline,
  Grid,
  Typography,
  Hidden,
  createMuiTheme,
  responsiveFontSizes,
  MuiThemeProvider,
  Container,
} from '@material-ui/core';
import AddIcon from '@material-ui/icons/Add';
import Fab from '@material-ui/core/Fab';

import { NavBar } from '../HomePage2/NavBar';
import { Steps } from '../HomePage2/Steps';
import { Numbers } from '../HomePage2/Numbers';
import { Reservation } from '../HomePage2/Reservation';

let themeResp = createMuiTheme();
themeResp = responsiveFontSizes(themeResp);

const useStyles = makeStyles(() => ({
  root: {
    minHeight: '36vh',
    backgroundImage: `url(${'/assets/bg7.png'})`,
    backgroundRepeat: 'no-repeat',
    backgroundSize: 'cover',
  },
  rightAlign: {
    marginLeft: 'auto',
  },
  whiteText: {
    color: 'white',
  },
  imageIcon: {
    maxHeight: '50%',
  },
  paddingBottom: {
    paddingBottom: '65px',
  },
  paddingTop: {
    paddingTop: '65px',
  },
  bodyIcon: {
    fontSize: '90px',
    paddingBottom: '10px',
    paddingTop: '10px',
  },
  contIcon: {
    width: '100%',
    left: '0',
    right: '0',
  },
  noShadow: {
    border: 'none',
    boxShadow: 'none',
    backgroundColor: 'transparent',
  },
  extendedIcon: {
    fontSize: '50px',
  },
  fab: {
    margin: '10px 90px 80px 10px',
    bottom: '0',
    right: '0',
    position: 'fixed',
    padding: '45px',
  },
}));

export const ReservationPage: FC = () => {
  const classes = useStyles();

  return (
    <Grid container direction="column" className={classes.paddingBottom}>
      <div className={classes.root}>
        <CssBaseline />

        <Grid item>
          <NavBar />
        </Grid>

        <MuiThemeProvider theme={themeResp}>
          <Grid item container className={classes.paddingBottom}>
            <Grid item xs={1} md={2} lg={2} />

            <Grid item xs={10} md={6} lg={4}>
              <Typography variant="h2" className={classes.whiteText}>
                Plan Here Your
              </Typography>
              <Typography variant="h1" className={classes.whiteText}>
                RESERVATIONS
              </Typography>
            </Grid>

            <Grid item xs={1} />
          </Grid>
        </MuiThemeProvider>
      </div>

      <Fab
        color="primary"
        size="large"
        aria-label="add"
        className={classes.fab}
      >
        <AddIcon className={classes.extendedIcon} />
      </Fab>

      <Grid item container className={classes.paddingTop}>
        <Grid item xs={2} />
        <Grid item xs={8}>
          <Typography variant="h3">Your Next Reservations</Typography>
        </Grid>
        <Grid item xs={2} />
      </Grid>

      <Grid item container style={{ paddingTop: '20px' }}>
        <Grid item xs={1} lg={2} />
        <Grid item xs={10} lg={8}>
          <Reservation />
        </Grid>
        <Grid item xs={1} lg={2} />
      </Grid>

      <Grid item container style={{ paddingTop: '20px' }}>
        <Grid item xs={1} lg={2} />
        <Grid item xs={10} lg={8}>
          <Reservation />
        </Grid>
        <Grid item xs={1} lg={2} />
      </Grid>

      <Grid item container style={{ paddingTop: '20px' }}>
        <Grid item xs={1} lg={2} />
        <Grid item xs={10} lg={8}>
          <Reservation />
        </Grid>
        <Grid item xs={1} lg={2} />
      </Grid>

      <Grid item container className={classes.paddingTop}>
        <Grid item xs={2} />
        <Grid item xs={8}>
          <Typography variant="h3" align="right">
            Your Past Reservations
          </Typography>
        </Grid>
        <Grid item xs={2} />
      </Grid>

      <Grid item container style={{ paddingTop: '20px' }}>
        <Grid item xs={1} lg={2} />
        <Grid item xs={10} lg={8}>
          <Reservation />
        </Grid>
        <Grid item xs={1} lg={2} />
      </Grid>
    </Grid>
  );
};
